/*
 * (c) Copyright 2003 -- Anders Torger
 *
 * This software is free. You can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation.
 *
 */
#define __USE_XOPEN2K
#include <stdlib.h>

#define ALIGNMENT 32

static inline void *
alignalloc(size_t size)
{
    int err;
    void *p;

    if (size == 0) {
        return NULL;
    }
    if ((err = posix_memalign(&p, ALIGNMENT,
                              size < ALIGNMENT ? ALIGNMENT : size)) != 0)
    {
        return NULL;
    }
    return p;
}
           
