/*
 * (c) Copyright 2002 -- Anders Torger
 *
 * This program is open source. For license terms, see the LICENSE file.
 *
 */
#ifndef _TEXTGUI_H_
#define _TEXTGUI_H_

#include <stdio.h>
#include <curses.h>

#include "defs.h"
#include "keyinput.h"

#define ACTION_IGNORE KI_KEY_IGNORE
#define ACTION_INIT -2
#define ACTION_EXIT -3
#define ACTION_CHILD_POP -4
#define ACTION_REFRESH -5

typedef void (*state_func_t)(int);

const char *
textgui_straction(int action);

void
textgui_push_state(state_func_t state);

void
textgui_pop_state(void);

#endif
